package com.ym.mec.biz.dal.entity;

import com.ym.mec.auth.api.entity.SysUser;
import com.ym.mec.biz.dal.enums.DealStatusEnum;

import io.swagger.annotations.ApiModelProperty;

import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;

/**
 * 对应数据库表(student_recharge):
 */
public class StudentRecharge {

	/** 充值流水号 */
	@ApiModelProperty(value = "充值流水号",required = false)
	private String id;
	
	/** 用户编号 */
	@ApiModelProperty(value = "用户编号",required = false)
	private Integer userId;
	
	/** 交易流水号,第三方支付机构返回的 */
	@ApiModelProperty(value = "交易流水号",required = false)
	private String transNo;
	
	private String orderNo;
	
	/** 1,交易中;2,成功交易;3,交易失败;4,交易关闭 */
	@ApiModelProperty(value = "交易状态",required = false)
	private DealStatusEnum status;
	
	/** 充值金额 */
	@ApiModelProperty(value = "充值金额",required = false)
	private BigDecimal amount;
	
	/** 用户承担的充值费用（单位：分） */
	@ApiModelProperty(value = "用户承担的充值费用",required = false)
	private BigDecimal feeUser;
	
	/** 平台承担的费用（单位：分） */
	@ApiModelProperty(value = "平台承担的费用",required = false)
	private BigDecimal feePlatform;
	
	/** 第三方支付平台名称(用拼音简称代替) */
	@ApiModelProperty(value = "第三方支付平台名称",required = false)
	private String payPlatform;
	
	/** 描述 */
	@ApiModelProperty(value = "描述",required = false)
	private String description;
	
	/** 后台备注 */
	@ApiModelProperty(value = "后台备注",required = false)
	private String comment;
	
	/** 创建时间 */
	private java.util.Date createTime;
	
	/** 最后修改时间 */
	private java.util.Date modifyTime;
	
	private SysUser user = new SysUser();
	
	private SysUserCashAccountDetail detail = new SysUserCashAccountDetail();
	
	public void setId(String id){
		this.id = id;
	}
	
	public String getId(){
		return this.id;
	}
			
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setTransNo(String transNo){
		this.transNo = transNo;
	}
	
	public String getTransNo(){
		return this.transNo;
	}

	public String getOrderNo() {
		return orderNo;
	}

	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}

	public DealStatusEnum getStatus() {
		return status;
	}

	public void setStatus(DealStatusEnum status) {
		this.status = status;
	}

	public BigDecimal getAmount() {
		return amount;
	}

	public void setAmount(BigDecimal amount) {
		this.amount = amount;
	}

	public BigDecimal getFeeUser() {
		return feeUser;
	}

	public void setFeeUser(BigDecimal feeUser) {
		this.feeUser = feeUser;
	}

	public BigDecimal getFeePlatform() {
		return feePlatform;
	}

	public void setFeePlatform(BigDecimal feePlatform) {
		this.feePlatform = feePlatform;
	}

	public void setPayPlatform(String payPlatform){
		this.payPlatform = payPlatform;
	}
	
	public String getPayPlatform(){
		return this.payPlatform;
	}
			
	public void setDescription(String description){
		this.description = description;
	}
	
	public String getDescription(){
		return this.description;
	}
			
	public void setComment(String comment){
		this.comment = comment;
	}
	
	public String getComment(){
		return this.comment;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setModifyTime(java.util.Date modifyTime){
		this.modifyTime = modifyTime;
	}
	
	public java.util.Date getModifyTime(){
		return this.modifyTime;
	}
			
	public SysUser getUser() {
		return user;
	}

	public void setUser(SysUser user) {
		this.user = user;
	}

	public SysUserCashAccountDetail getDetail() {
		return detail;
	}

	public void setDetail(SysUserCashAccountDetail detail) {
		this.detail = detail;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
